mbed TLS v2.23.0

Data Fields
psa_key_derivation_s Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_key_derivation_s:
[legend]

## Data Fields
psa_algorithm_t | alg
unsigned int | can_output_key: 1
size_t | capacity
union {
uint8_t dummy
psa_hkdf_key_derivation_t hkdf
psa_tls12_prf_key_derivation_t tls12_prf
} | ctx

## Detailed Description

Definition at line 255 of file crypto_struct.h.

## Field Documentation

## ◆ alg

psa_algorithm_t psa_key_derivation_s::alg

Definition at line 257 of file crypto_struct.h.

## ◆ can_output_key

unsigned int psa_key_derivation_s::can_output_key

Definition at line 258 of file crypto_struct.h.

## ◆ capacity

size_t psa_key_derivation_s::capacity

Definition at line 259 of file crypto_struct.h.

## ◆ ctx

union { ... } psa_key_derivation_s::ctx

## ◆ dummy

uint8_t psa_key_derivation_s::dummy

Definition at line 263 of file crypto_struct.h.

## ◆ hkdf

psa_hkdf_key_derivation_t psa_key_derivation_s::hkdf

Definition at line 265 of file crypto_struct.h.

## ◆ tls12_prf

psa_tls12_prf_key_derivation_t psa_key_derivation_s::tls12_prf

Definition at line 266 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h